[PATCH] Bisect: use "$GIT_DIR/BISECT_NAMES" to check if we are bisecting.

Previous thread: ! [rejected] master -> master (non-fast forward) by Jon Smirl on Sunday, November 18, 2007 - 11:12 am. (19 messages)

Next thread: [PATCH] builtin-commit: Fix git-commit honoring status.color by Ping Yin on Sunday, November 18, 2007 - 1:10 pm. (4 messages)
To: Junio Hamano <junkio@...>
Cc: <git@...>
Date: Sunday, November 18, 2007 - 11:34 am

Previously we tested if the "$GIT_DIR/refs/bisect" directory
existed, to check if we were bisecting.

Now with packed refs, it is simpler to check if the file
"$GIT_DIR/BISECT_NAMES" exists, as it is already created when
starting bisection and removed when reseting bisection.

Signed-off-by: Christian Couder <chriscool@tuxfamily.org>
---
git-bisect.sh | 7 ++-----
1 files changed, 2 insertions(+), 5 deletions(-)

diff --git a/git-bisect.sh b/git-bisect.sh
index 4748c6a..01593eb 100755
--- a/git-bisect.sh
+++ b/git-bisect.sh
@@ -37,7 +37,7 @@ sq() {
}

bisect_autostart() {
- test -d "$GIT_DIR/refs/bisect" || {
+ test -f "$GIT_DIR/BISECT_NAMES" || {
echo >&2 'You need to start by "git bisect start"'
if test -t 0
then
@@ -83,7 +83,6 @@ bisect_start() {
# Get rid of any old bisect state
#
bisect_clean_state
- mkdir "$GIT_DIR/refs/bisect"

#
# Check for one bad and then some good revisions.
@@ -192,7 +191,7 @@ bisect_next_check() {
;;
*)
THEN=''
- test -d "$GIT_DIR/refs/bisect" || {
+ test -f "$GIT_DIR/BISECT_NAMES" || {
echo >&2 'You need to start by "git bisect start".'
THEN='then '
}
@@ -349,8 +348,6 @@ bisect_reset() {
}

bisect_clean_state() {
- rm -fr "$GIT_DIR/refs/bisect"
-
# There may be some refs packed during bisection.
git for-each-ref --format='%(refname) %(objectname)' refs/bisect/\* refs/heads/bisect |
while read ref hash
--
1.5.3.5.1815.g9445b-dirty

-

Previous thread: ! [rejected] master -> master (non-fast forward) by Jon Smirl on Sunday, November 18, 2007 - 11:12 am. (19 messages)

Next thread: [PATCH] builtin-commit: Fix git-commit honoring status.color by Ping Yin on Sunday, November 18, 2007 - 1:10 pm. (4 messages)